MPD: MemoryStorageDirectoryReader Class Reference

MPD 0.20.18

Data Structures | Public Types | Public Member Functions
MemoryStorageDirectoryReader Class Referencefinal

A StorageDirectoryReader implementation that returns directory entries from a memory allocation. More...

`#include <MemoryDirectoryReader.hxx>`

Inheritance diagram for MemoryStorageDirectoryReader:
[legend]
Collaboration diagram for MemoryStorageDirectoryReader:
[legend]

## Data Structures
struct | Entry

## Public Types
typedef std::forward_list< Entry > | List

## Public Member Functions
| MemoryStorageDirectoryReader ()
| MemoryStorageDirectoryReader (MemoryStorageDirectoryReader &&src)
| MemoryStorageDirectoryReader (List &&_entries)
const char * | Read () override
StorageFileInfo | GetInfo (bool follow) override
| Throws #std::runtime_error on error. More...
Public Member Functions inherited from StorageDirectoryReader
| StorageDirectoryReader ()=default
| StorageDirectoryReader (const StorageDirectoryReader &)=delete
virtual | ~StorageDirectoryReader ()

## Detailed Description

A StorageDirectoryReader implementation that returns directory entries from a memory allocation.

Definition at line 34 of file MemoryDirectoryReader.hxx.

## Member Typedef Documentation

## ◆ List

typedef std::forward_list<Entry> MemoryStorageDirectoryReader::List

Definition at line 45 of file MemoryDirectoryReader.hxx.

## Constructor & Destructor Documentation

## ◆ MemoryStorageDirectoryReader() [1/3]

MemoryStorageDirectoryReader::MemoryStorageDirectoryReader | ( |  | ) |
| inline

Definition at line 53 of file MemoryDirectoryReader.hxx.

## ◆ MemoryStorageDirectoryReader() [2/3]

MemoryStorageDirectoryReader::MemoryStorageDirectoryReader | ( | MemoryStorageDirectoryReader && | src | ) |
| inline

Definition at line 56 of file MemoryDirectoryReader.hxx.

## ◆ MemoryStorageDirectoryReader() [3/3]

MemoryStorageDirectoryReader::MemoryStorageDirectoryReader | ( | List && | _entries | ) |
| inline

Definition at line 59 of file MemoryDirectoryReader.hxx.

## Member Function Documentation

## ◆ GetInfo()

StorageFileInfo MemoryStorageDirectoryReader::GetInfo | ( | bool | follow | ) |
| overridevirtual

Throws #std::runtime_error on error.

Implements StorageDirectoryReader.

## ◆ Read()

const char* MemoryStorageDirectoryReader::Read | ( |  | ) |
| overridevirtual

Implements StorageDirectoryReader.

The documentation for this class was generated from the following file:

- storage/MemoryDirectoryReader.hxx